Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005146opensim[REGION] Scripting Enginepublic2010-10-26 13:392011-05-06 18:52
ReporterWordfromtheWise 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows 2003OS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0005146: changed(integer change) is not working correct
Descriptioni used to do following checks in .6

if(change & CHANGED_OWNER) and
if (change & 256) (Region restart)
and if (change & 1024) (region Start)

.. to keep all scripts running but the 256 and the 1024 is not working anymore in .7 .. has it changed ?
Steps To Reproducei used following script to test:

default
{
    state_entry()
    {
        llInstantMessage(llGetOwner(),"Default State");
        llResetScript();
    }

on_rez(integer start_param)
    {
    llInstantMessage(llGetOwner(),"Prim Rezzed.");
    llResetScript();
    }

changed(integer change)
    {
        // The 1024 Bit needs to be checked so the listen_handle is refreshed on region restart
        // same bitmask for CHANGED_REGION_RESTART = 1024; CHANGED_REGION_START = 1024; //LL Changed the constant from CHANGED_REGION_RESTART
        if(change & 1024)
        {
llInstantMessage(llGetOwner(),"Region STARTED.");
            llResetScript();
        }
       
        if(change & 256)
        {
llInstantMessage(llGetOwner(),"Region (RE)STARTED.");
            llResetScript();
        }

        if(change & 16)
        {
llInstantMessage(llGetOwner(),"changed TEXTURE.");
            llResetScript();
        }
       
       if(change & 2)
        {
llInstantMessage(llGetOwner(),"changed COLOR.");
            llResetScript();
        }
       
       if(change & 8)
        {
llInstantMessage(llGetOwner(),"changed Scale ");
            llResetScript();
        }
        if(change & 4)
        {
llInstantMessage(llGetOwner(),"changed SHAPE ");
            llResetScript();
        }
           
    }

}
Additional Informationwith followings ettings in the XEngine Section in the openim.ini

Also i found folowing out while thesting the constants mention in this Thread from WhiteStar Magic:
http://forums.osgrid.org/viewtopic.php?f=5&t=2861&sid=57934d62ad15c6e4bdf254c9bf58c118ü [^]

2 & 16 -> do the same .. (CHANGED_COLOR = 2; / CHANGED_TEXTURE = 16;)
CHANGED_SCALE = 8; -> is not working
CHANGED_MEDIA = 2048; -> is not working
CHANGED_SHAPE = 4; -> is not working


P:S The constants are still not working if i us a else if in the script ..
TagsNo tags attached.
Git Revision or version numberOpenSimulator git hash : 80f90229e514075ae8b0c8a38da58e1300780478
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerHippo / Imprudence
Attached Files

- Relationships
parent of 0001844closedMarck The changed event 0x4 (CHANGED_SHAPE) is not invoked 
parent of 0002261closedjustincc The changed event 0x080 (CHANGED_OWNER) is not invoked 
parent of 0002262closedMarck Changing object color returns changed event 0x010 (CHANGED_TEXTURE) instead of 0x002 (CHANGED_COLOR) 
parent of 0004403closedMarck CHANGED_TELEPORT functionality is missing. 
parent of 0005214closedMarck Changed event CHANGED_REGION_RESTART does not trigger 

-  Notes
(0017317)
Marck (reporter)
2010-11-17 10:59

I checked with the latest commit 393c9c9046595b104a4c3a3671974af33cf902ce and this issue persists for the following change events:
- CHANGED_COLOR (triggers CHANGED_TEXTURE instead)
- CHANGED_SHAPE
- CHANGED_SCALE
- CHANGED_OWNER
- CHANGED_REGION
- CHANGED_TELEPORT (triggers only when teleporting within a region)
- CHANGED_REGION_RESTART

The following script can be used for reproducing these issues. Separate procedures for reproducing single bugs are given in the child issues that are linked to this report.

default {
    changed(integer change) {
        string text = "";
        if (change & CHANGED_COLOR)
            text += "\nCHANGED_COLOR (" + (string)CHANGED_COLOR + ")";
        if (change & CHANGED_SHAPE)
            text += "\nCHANGED_SHAPE (" + (string)CHANGED_SHAPE + ")";
        if (change & CHANGED_SCALE)
            text += "\nCHANGED_SCALE (" + (string)CHANGED_SCALE + ")";
        if (change & CHANGED_OWNER)
            text += "\nCHANGED_OWNER (" + (string)CHANGED_OWNER + ")";
        if (change & CHANGED_REGION)
            text += "\nCHANGED_REGION (" + (string)CHANGED_REGION + ")";
        if (change & CHANGED_TELEPORT)
            text += "\nCHANGED_TELEPORT (" + (string)CHANGED_TELEPORT + ")";
        if (change & CHANGED_REGION_RESTART)
            text += "\nCHANGED_REGION_RESTART (" + (string)CHANGED_REGION_RESTART + ")";
        if (text != "") {
          text = "Change=" + (string)change + text;
          llSetText(text, <1,1,1>, 1.0);
          llSay(0, text);
        }
    }
}
(0017372)
Marck (reporter)
2010-11-22 10:44

CHANGED_SCALE should work with commit e1c72cedb3db.
(0017769)
Diva (administrator)
2011-01-05 19:18

Is this fixed?
(0017770)
melanie (administrator)
2011-01-05 19:22

CHANGED_REGION and CHANGED_TELEPORT were fixed by Marck, IIRC
(0017795)
Marck (reporter)
2011-01-07 03:37

With the exception of CHANGED_OWNER, all the changed events mentioned in this mantis do work by now (with a minor restriction for CHANGED_COLOR, see 0002262).

I am trying to make CHANGED_OWNER work for the 0.7.1 release.
(0018156)
justincc (administrator)
2011-03-21 17:26

Hi Marck. Melanie tells me the CHANGED_OWNER issue has also now been addressed?
(0018157)
Marck (reporter)
2011-03-21 23:23

Hi justincc. As far as I can tell, CHANGED_OWNER still does not work in most cases. There are several code paths in OpenSim (mainly the SOG and SOP code) which affect this particular event. Unfortunately, I haven't yet been able to identify or understand them all such that I could fix this. I won't be able to address this issue any time soon, I am afraid.
(0018213)
justincc (administrator)
2011-04-08 16:07

Apr 09 00:00:40 <justincc> Melanie_T did some work on CHANGED_OWNER recently
Apr 09 00:00:45 <BlueWall> ok
Apr 09 00:00:46 <justincc> all the others should be okay, according to 5146
Apr 09 00:01:05 <Melanie_T> changed owner should now work for deed-in-place, sell-in-place
Apr 09 00:01:15 <Melanie_T> rez after buy, rez after give
Apr 09 00:01:21 <Melanie_T> rez after scripted give
Apr 09 00:01:26 <Melanie_T> first attach after the above
Apr 09 00:01:44 <Melanie_T> i think that covers all cases

- Issue History
Date Modified Username Field Change
2010-10-26 13:39 WordfromtheWise New Issue
2010-10-26 13:39 WordfromtheWise Git Revision => OpenSimulator git hash : 80f90229e514075ae8b0c8a38da58e1300780478
2010-10-26 13:39 WordfromtheWise SVN Revision => 0
2010-10-26 13:39 WordfromtheWise Run Mode => Grid (1 Region per Sim)
2010-10-26 13:39 WordfromtheWise Physics Engine => ODE
2010-10-26 13:39 WordfromtheWise Environment => Unknown
2010-10-26 13:39 WordfromtheWise Mono Version => None
2010-10-26 13:39 WordfromtheWise Viewer => Hiipo / Imprudence
2010-10-26 13:41 WordfromtheWise Additional Information Updated
2010-10-26 13:41 WordfromtheWise Viewer Hiipo / Imprudence => Hippo / Imprudence
2010-10-26 13:41 WordfromtheWise Description Updated
2010-10-26 13:42 WordfromtheWise Environment Unknown => .NET / Windows64
2010-11-17 10:47 Marck Relationship added parent of 0001844
2010-11-17 10:48 Marck Relationship added parent of 0002261
2010-11-17 10:49 Marck Relationship added parent of 0002262
2010-11-17 10:53 Marck Relationship added parent of 0004403
2010-11-17 10:57 Marck Relationship added parent of 0005214
2010-11-17 10:59 Marck Note Added: 0017317
2010-11-22 10:44 Marck Note Added: 0017372
2011-01-05 19:18 Diva Note Added: 0017769
2011-01-05 19:22 melanie Note Added: 0017770
2011-01-07 03:37 Marck Note Added: 0017795
2011-03-21 17:26 justincc Note Added: 0018156
2011-03-21 23:23 Marck Note Added: 0018157
2011-04-08 16:07 justincc Note Added: 0018213
2011-04-08 16:11 justincc Status new => resolved
2011-04-08 16:11 justincc Resolution open => fixed
2011-04-08 16:11 justincc Assigned To => justincc
2011-05-06 18:52 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker